cURL
curl --request GET \
--url https://api.yourjobsearchgenius.ai/v1/packages/{_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.yourjobsearchgenius.ai/v1/packages/{_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.yourjobsearchgenius.ai/v1/packages/{_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "507f1f77bcf86cd799439011",
"checkoutLink": "https://example.com/auto-login?token=abc123",
"name": "<string>",
"price": 123,
"interval": "Daily",
"freeTrialDays": 7,
"status": "Active"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Reseller - Packages
Get Package
Fetch detailed information about a single subscription package using its unique ID.
GET
/
packages
/
{_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the package to get (MongoDB ObjectId)
Pattern:
^[a-fA-F0-9]{24}$Example:
"507f1f77bcf86cd799439011"
Response
Customers response
Example:
"507f1f77bcf86cd799439011"
Example:
"https://example.com/auto-login?token=abc123"
The name of the package.
The price of the package.
The billing interval for the package. Possible values: Daily, Weekly, Bi-Weekly, Monthly, Quarterly, Yearly.
Available options:
Daily, Weekly, Bi-Weekly, Monthly, Quarterly, Yearly Example:
"Daily"
The number of free trial days. Send 0 if no free trial days. Min:0, Max:7.
Required range:
x <= 7Example:
7
The status of the package. Possible values: Active, Inactive.
Available options:
Active, Inactive Example:
"Active"